#
# spec file for package systemtap (Version 0.5.8)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           systemtap
BuildRequires:  gcc-c++
%define package_version 0708-ioblockpatch
%define elfutils_version 0.123
License:        GPL v2 or later
Version:        0.5.8
Release:        0.25.12
Summary:        Instrumentation System
Group:          Development/Tools/Debuggers
Url:            http://sourceware.org/systemtap/
# Requires: kernel-source gcc make
# Suggest: kernel-smp-debuginfo
Source:         systemtap-%{package_version}.tar.bz2
Source1:        elfutils-%{elfutils_version}.tar.bz2
Patch:          systap-elf-install.patch
Patch1:         elfutils-portability.patch
Patch2:         elfutils-0.123-0.124.diff
Patch3:         elfutils-0.124-0.125.diff
Patch4:         elfutils-0.125-build-fix.diff
Patch10:        systemtap-runtime-2.6.18-kernel-fix.diff
Patch11:        systemtap-snapshot-20061216.diff
Patch12:        systemtap-snapshot-20070120.diff
Patch13:        systemtap-socket-support.diff
Patch14:        systemtap-array-membership-fix.diff
Patch15:        systemtap-probe-at-function-entry.diff
Patch16:        systemtap-s390x-store_deref-fix.diff
Patch17:        systemtap-s390x-mmap-tapset.diff
Patch18:        systemtap-translate-fix.diff
Patch19:        systemtap-s390x-stp_get_asm-alignment.diff
Patch20:        systemtap-stp_map_init-fix.diff
Patch21:        systemtap-testsuite-makefile-fix-bnc525881.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SystemTap is an instrumentation system for systems running Linux 2.6.
Developers can write instrumentation to collect data on the operation
of the system.



%prep
%setup -n %{name}-%{package_version} -q -a1
%patch
%patch10
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p2
%patch18 -p1
%patch19
%patch20 -p1
%patch21 -p1
# add missing exec permissions after patches
for i in `find testsuite -name '*.stp'`; do
  grep -q '^#!' -m 1 $i && chmod +x $i
done
autoreconf -fi
cd elfutils-%{elfutils_version}
%patch2 -p1
%patch3 -p1
%patch1 -p1
%patch4
autoreconf -fi
cd ..

%build
%configure --with-elfutils=elfutils-%{elfutils_version}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install install-elfutils
mkdir -p $RPM_BUILD_ROOT/var/cache/systemtap

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README AUTHORS NEWS COPYING
%{_bindir}/*
%{_mandir}/man?/*
%{_libdir}/systemtap
%{_datadir}/systemtap
%dir %attr(0755,root,root) /var/cache/systemtap

%changelog
* Thu Aug  6 2009 nadvornik@suse.cz
- try using system stap in testsuite [bnc#525881]
* Wed Mar 14 2007 tiwai@suse.de
- fix kernel Oops with systemtap tests on NUMA systems (#254492)
* Thu Mar  8 2007 tiwai@suse.de
- fix the handling of function arguments in more generic way
  (#245310, #252311)
  added a new option -P to switch the prologue-search behavior
* Wed Mar  7 2007 tiwai@suse.de
- fix misalignment of exception table entry on s390x (#249576)
* Mon Feb 26 2007 tiwai@suse.de
- fix crash with large H value in hist_linear() (#248430)
* Fri Feb 23 2007 tiwai@suse.de
- fix mmap syscall on s390x (#248110)
* Thu Feb 15 2007 tiwai@suse.de
- fix a wrong name of store_deref definition (#245544)
* Wed Feb 14 2007 tiwai@suse.de
- fix the handling of function arguments on s390x (#245310)
* Wed Feb 14 2007 tiwai@suse.de
- fix file permissions of testsuite files (#238710)
* Tue Feb  6 2007 tiwai@suse.de
- add missing sockets tapset support (#239346)
- fix the array membership (#242481)
* Wed Jan 31 2007 tiwai@suse.de
- turn on Autoprov again to fix broken dependency.
* Tue Jan 30 2007 tiwai@suse.de
- update to snapshot 20070120 and elfutils-0.125 to fix major
  bugs (#238710):
  * fixed libdw known bugs in elfutils 0.124
  * add the missing support of tapsetr/errno.stp for s390x
  * fix conditionals in syscall tapset for s390x
  * new macros to safely read/write values from kernel pointers
  * fix the non-standard C behavior to handle NULL in an array
  * fixed support for benchmarking mode with off-line code
  * added support to allow user to use array size declarations
  * reduce number of calls to stp_module_relocate within $tvar
    functions
* Tue Jan  9 2007 tiwai@suse.de
- remove codes with problematic license in elfutils update patch
  (#232894)
* Mon Jan  8 2007 tiwai@suse.de
- updated to the recent snapshot version (FATE 301670).
  * fix cache bugs
  * auto-tools fixes
  * probe registartion rework
  * allow negative numeric literals
  * bugfixes/optmizations
- elfutls 1.2.4
* Thu Aug 24 2006 tiwai@suse.de
- update elfutils to 1.2.3, including vmlinux.debuginfo fix.
* Thu Aug 24 2006 tiwai@suse.de
- fix the auto-lookup of vmlinux debuginfo for SUSE systems
- fix the stp compilation with 2.6.18 kernel
* Wed Aug  9 2006 tiwai@suse.de
- updated to latest snapshot (version 0.5.8)
  with elfutils-1.2.2.
* Mon Jul 17 2006 jeffm@suse.com
- Update to latest snapshot
* Tue Apr 18 2006 mason@suse.de
- Update to latest snapshot
* Sun Apr  9 2006 mason@suse.de
- created package
